# MoniTool_HSequenceOfElement.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_MoniTool_HSequenceOfElement.hxx>`
`#include <MoniTool_SequenceOfElement.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_MoniTool_Element.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_MoniTool_Element
#define | Item_hxx <MoniTool_Element.hxx>
#define | TheSequence MoniTool_SequenceOfElement
#define | TheSequence_hxx <MoniTool_SequenceOfElement.hxx>
#define | TCollection_HSequence MoniTool_HSequenceOfElement
#define | TCollection_HSequence_hxx <MoniTool_HSequenceOfElement.hxx>
#define | Handle_TCollection_HSequence Handle_MoniTool_HSequenceOfElement
#define | TCollection_HSequence_Type_() MoniTool_HSequenceOfElement_Type_()

## Functions

Handle_MoniTool_HSequenceOfElement | ShallowCopy (const Handle_MoniTool_HSequenceOfElement &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_MoniTool_HSequenceOfElement

#define Item Handle_MoniTool_Element

#define Item_hxx <MoniTool_Element.hxx>

#define TCollection_HSequence MoniTool_HSequenceOfElement

#define TCollection_HSequence_hxx <MoniTool_HSequenceOfElement.hxx>

#define TCollection_HSequence_Type_ | (

)

MoniTool_HSequenceOfElement_Type_()

#define TheSequence MoniTool_SequenceOfElement

#define TheSequence_hxx <MoniTool_SequenceOfElement.hxx>

## Function Documentation

Handle_MoniTool_HSequenceOfElement ShallowCopy | ( | const Handle_MoniTool_HSequenceOfElement & | me | ) | `[inline]`